Auteur Sujet: Mon premier paquet  (Lu 800 fois)

Raustone

  • Membre Junior
  • **
  • Messages: 21
  • Karma: 0
  • Sexe: Homme
Mon premier paquet
« le: lun. août 06 13:54:18 2018 »
Bonjour,
j'ai aujourd'hui tenté de compiler le paquet pluma à la main (celui-ci ne veut pas ce lancer avec l'installation manuelle)

voici le log :

=======> PKGMK_INSTALL: no
=======> PKGMK_WORK_DIR: /usr/ports/mes_paquets/1.20.2/pluma/work
=======> PKGMK_SOURCE_DIR: /usr/ports/mes_paquets/1.20.2/pluma
=======> WARNING: CLEAN IGNORED
=======> PKGMK_IGNORE_REPO: yes
=======> PKGMK_IGNORE_FOOTPRINT: yes
=======> PKGMK_IGNORE_MD5SUM: yes
=======> .PKGREPO file will be deleted
=======> PKGMK_COMPRESS_PACKAGE: no
=======> name: pluma
=======> version: 1.20.2
=======> release: 1
=======> Downloading 'http://pub.mate-desktop.org/releases/1.20/pluma-1.20.2.tar.xz'.
--2018-08-06 15:47:20--  http://pub.mate-desktop.org/releases/1.20/pluma-1.20.2.tar.xz
Resolving pub.mate-desktop.org... 104.28.16.61, 104.28.17.61, 2400:cb00:2048:1::681c:113d, ...
Connecting to pub.mate-desktop.org|104.28.16.61|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 3504720 (3.3M) [application/octet-stream]
Saving to: '/usr/ports/mes_paquets/1.20.2/pluma/pluma-1.20.2.tar.xz.partial'

pluma-1.20.2.tar.xz 100%[===================>]   3.34M   868KB/s    in 4.2s   

2018-08-06 15:47:30 (824 KB/s) - '/usr/ports/mes_paquets/1.20.2/pluma/pluma-1.20.2.tar.xz.partial' saved [3504720/3504720]

=======> Building '/usr/ports/mes_paquets/1.20.2/pluma/pluma1533563240x86_64.cards.tar.xz'.
bsdtar -p -o -C /usr/ports/mes_paquets/1.20.2/pluma/work/src -xf /usr/ports/mes_paquets/1.20.2/pluma/pluma-1.20.2.tar.xz
+ build
+ cd pluma-1.20.2
+ ./configure --prefix=/usr --disable-static
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking whether make supports nested variables... (cached) yes
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking whether gcc understands -c and -o together... yes
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking whether make sets $(MAKE)... (cached) yes
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking how to print strings... printf
checking for a sed that does not truncate output... /bin/sed
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for fgrep... /bin/grep -F
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking how to convert x86_64-pc-linux-gnu file names to x86_64-pc-linux-gnu format... func_convert_file_noop
Raustone

Raustone

  • Membre Junior
  • **
  • Messages: 21
  • Karma: 0
  • Sexe: Homme
Re : Mon premier paquet
« Réponse #1 le: lun. août 06 13:54:57 2018 »
checking how to convert x86_64-pc-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for ar... ar
checking for archiver @FILE support... @
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for sysroot... no
checking for a working dd... /bin/dd
checking how to truncate binary pipes... /bin/dd bs=4096 count=1
checking for mt... mt
checking if mt is a manifest tool... no
checking how to run the C preprocessor... gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/bin/ld -m elf_x86_64) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteri[15:46 x86_64 4.14.59-NuTyX-lts lilian@nutyx]
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
checking for gtk-doc... no
configure: WARNING:
  You will not be able to create source packages with 'make dist'
  because gtk-doc >= 1.0 is not found.
checking for gtkdoc-check... no
checking for gtkdoc-check... no
checking for gtkdoc-rebase... no
checking for gtkdoc-mkpdf... no
checking whether to build gtk-doc documentation... no
checking for GTKDOC_DEPS... no
checking for floor in -lm... yes
checking whether NLS is requested... yes
./configure: line 13052: intltool-update: command not found
checking for intltool >= 0.50.1...  found
configure: error: Your intltool is too old.  You need intltool 0.50.1 or later.
=======> ERROR: Building '/usr/ports/mes_paquets/1.20.2/pluma/pluma1533563240x86_64.cards.tar.xz' failed.[/code]
Raustone

Raustone

  • Membre Junior
  • **
  • Messages: 21
  • Karma: 0
  • Sexe: Homme
Re : Mon premier paquet
« Réponse #2 le: lun. août 06 13:58:13 2018 »
et voici la recette :
# Depends on: iso-codes zenity gtksourceview3 libpeas python2

description="A powerful text editor for MATE"
url="https://mate-desktop.org"
maintainer="git.xfce.org/xfce/xfce4-libutils"
packager="tyrry at nutyx dot org, tnut at nutyx dot org"

_name=pluma

name=pluma
version=1.20.2
release=1

source=(http://pub.mate-desktop.org/releases/1.20/pluma-1.20.2.tar.xz)

build() {
cd ${_name}-$version
./configure --prefix=/usr \
--disable-static
make
make DESTDIR=$PKG install
}
Raustone

Raustone

  • Membre Junior
  • **
  • Messages: 21
  • Karma: 0
  • Sexe: Homme
Re : Mon premier paquet
« Réponse #3 le: lun. août 06 13:58:50 2018 »
est-ce que qu'elqu'un peu m'aider ?
Raustone

Thierry

  • Administrator
  • Super Héros
  • *****
  • Messages: 1159
  • Karma: 12
  • Sexe: Homme
    • NuTyX distribution
Re : Mon premier paquet
« Réponse #4 le: lun. août 06 14:04:48 2018 »
As-tu utilisé l'ISO MATE ? ou As-tu fais:

get pluma depuis le système de base ou quelque chose comme ça.

Apparement, pluma necessite tout l'environnement mate et mate-extra
donc un:
get mate mate-extra devrait résoudre (temporairement) le problème

Thierry

  • Administrator
  • Super Héros
  • *****
  • Messages: 1159
  • Karma: 12
  • Sexe: Homme
    • NuTyX distribution
Re : Mon premier paquet
« Réponse #5 le: lun. août 06 14:13:38 2018 »
Ok vu mon erreur, je corrigerai ce soir:

pluma demande mate-desktop en dépendance runtime

Raustone

  • Membre Junior
  • **
  • Messages: 21
  • Karma: 0
  • Sexe: Homme
Re : Mon premier paquet
« Réponse #6 le: lun. août 06 15:22:45 2018 »
Ok c'est noté, je l'installerais demain alors sinon j'ai fait une installation de base et j'ai tout installé et configuré pour utiliser xfce.
Et est-ce que ce bug ce reproduira avec d'aures programmes ?
Raustone

Thierry

  • Administrator
  • Super Héros
  • *****
  • Messages: 1159
  • Karma: 12
  • Sexe: Homme
    • NuTyX distribution
Re : Mon premier paquet
« Réponse #7 le: lun. août 06 16:36:15 2018 »
As-tu choisis la version Rolling ou la version Fixed ? Je demande ça parce que c'est corrigé sur la Rolling uniquement.

Il est possible que d'autres paquets fassent aussi ce problème, si tu me le signale, je pourrai également corriger. C'est assez rare quand même.

Raustone

  • Membre Junior
  • **
  • Messages: 21
  • Karma: 0
  • Sexe: Homme
Re : Mon premier paquet
« Réponse #8 le: lun. août 06 19:24:18 2018 »
Je possède la version fixe.
Raustone